
import java.sql.*;

public class ex1b extends javax.swing.JFrame {
    
    /** Creates new form DialegConnexio */
    public ex1b() {
        initComponents();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents() {
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jTextFieldusuari = new javax.swing.JTextField();
        jTextFieldContrasenya = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        jTextFieldURL = new javax.swing.JTextField();
        jButtonConnexio = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTextAreaDetall = new javax.swing.JTextArea();

        getContentPane().setLayout(null);

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Connexió");
        setName("DialegConnexio");
        jLabel1.setText("Usuari");
        getContentPane().add(jLabel1);
        jLabel1.setBounds(10, 10, 100, 14);

        jLabel2.setText("Contrasenya");
        getContentPane().add(jLabel2);
        jLabel2.setBounds(230, 10, 100, 14);

        jTextFieldusuari.setName("jTextField_Usuari");
        getContentPane().add(jTextFieldusuari);
        jTextFieldusuari.setBounds(10, 50, 130, 20);

        getContentPane().add(jTextFieldContrasenya);
        jTextFieldContrasenya.setBounds(230, 50, 130, 20);

        jLabel3.setText("URL de JDBC");
        getContentPane().add(jLabel3);
        jLabel3.setBounds(130, 90, 100, 14);

        jTextFieldURL.setText("jdbc:mysql://");
        getContentPane().add(jTextFieldURL);
        jTextFieldURL.setBounds(10, 110, 350, 20);

        jButtonConnexio.setText("Realitzar Connexió");
        jButtonConnexio.setToolTipText("Formulari de connexió");
        jButtonConnexio.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonConnexioActionPerformed(evt);
            }
        });

        getContentPane().add(jButtonConnexio);
        jButtonConnexio.setBounds(100, 150, 140, 23);

        jScrollPane1.setViewportView(jTextAreaDetall);

        getContentPane().add(jScrollPane1);
        jScrollPane1.setBounds(10, 180, 350, 100);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonConnexioActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonConnexioActionPerformed
// TODO add your handling code here:
        Connection connexio=null;
        
        try {
            //Obtindre dels jTextFields les dades 
            String usuari= jTextFieldusuari.getText();
            String pass= jTextFieldContrasenya.getText();
            String jdbcUrl= jTextFieldURL.getText();
            
            //Registrar el driver JDBC

            String driver = "com.mysql.jdbc.Driver";
            jTextAreaDetall.append("Registrant " + driver + '\n');
            //Class.forName(driver).newInstance();

            
            //Mostrem en jTextAreaDetall l'informe
            
            jTextAreaDetall.append("Driver Registrat\n");
            
            //Connectant amb la Base de Dades
            
            jTextAreaDetall.append("Connectant amb la base de dades...\n");
            
            //Obtenim la connexió
            
            connexio = DriverManager.getConnection(jdbcUrl, usuari, pass);
            jTextAreaDetall.append("Connexió establida amb la base de dades...\n");

            
            
        } catch(SQLException se) {
            //Errors de JDBC
            se.printStackTrace();
            jTextAreaDetall.append(se.getMessage());
        } catch(Exception e) {
            //Errors Class.forName
            e.printStackTrace();
            jTextAreaDetall.append(e.getMessage());
        } finally {
            try {
                if(connexio!=null)
                    //Tanquem connexio
                    connexio.close();
            } catch(SQLException se) {
                se.printStackTrace();
            }//end finally try
        }//end try  

    }//GEN-LAST:event_jButtonConnexioActionPerformed
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                ex1b d = new ex1b();
                d.setSize(400,400);
                d.setVisible(true);
            }
        });
    }
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonConnexio;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextArea jTextAreaDetall;
    private javax.swing.JTextField jTextFieldContrasenya;
    private javax.swing.JTextField jTextFieldURL;
    private javax.swing.JTextField jTextFieldusuari;
    // End of variables declaration//GEN-END:variables
    
}
